> For the complete documentation index, see [llms.txt](https://docs.cspr.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cspr.cloud/rest-api/dex.md).

# DEX

`DEX` entity represents DEXes operating on the Casper Network.

### Properties

The `DEX` entity has the following properties:

| Property | Type     | Description    |
| -------- | -------- | -------------- |
| `id`     | `int`    | DEX identifier |
| `name`   | `string` | DEX name       |

**Example**

```json
{
  "id": 1,
  "name": "CSPR.trade"
}
```

### Optional properties

None

### Relations

The `DEX` entity has the following relations with other entities:

| Entity                                                                        | Mapping property | Description                                          |
| ----------------------------------------------------------------------------- | ---------------- | ---------------------------------------------------- |
| [`Fungible token rate`](/rest-api/fungible-token-rate.md)                     | `dex_id`         | Fungible token rates are tracked for different DEXes |
| [`Fungible token daily rate`](/rest-api/fungible-token-daily-rate.md)         | `dex_ids`        | DEX identifiers used in the aggregation              |
| [`Fungible token DEX rate`](/rest-api/fungible-token-dex-rate.md)             | `dex_id`         | DEX rates are tracked for token pairs                |
| [`Fungible token daily DEX rate`](/rest-api/fungible-token-daily-dex-rate.md) | `dex_id`         | Daily DEX rates are tracked for token pairs          |

## Endpoints

The `DEX` entity has the following endpoints:

* [Get DEXes](/rest-api/dex/get-dexes.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/rest-api/dex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
